## autopkgtest 2.3.7

=== debian/changelog ===
autopkgtest (2.3.7) unstable; urgency=low

  * tests/adt-run: Factorize a base test class with common functionality.
  * lib/VirtSubproc.py, downtmp_mktemp(): Create temporary directory in the
    target (which isn't the host for anything but the null runner), to fix the
    schroot/chroot runners for directories.
  * Only show stdout/stderr in realtime if tests run in the same file system
    as the host, as otherwise we cannot create/use a named pipe. If not, fall
    back to the old way of just showing the complete stdout/stderr after the
    tests finished. (LP: #1235189)
  * Add some test cases for adt-virt-chroot.
  * Add new --timeout-copy option to make copy timeout configurable. Pass that
    down to adt-virt-* via the environment ($ADT_VIRT_COPY_TIMEOUT).
    (LP: #1200693)
  * Fix tests to also work with Python 3.1.
  * tests/testpkg: Go back to compat level 7 so that this also works on older
    Debian/Ubuntu releases.

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Oct 2013 18:55:33 +0200

autopkgtest (2.3.6) unstable; urgency=low

  * Always kill the tee children after a test finishes, to avoid race
    condition when they get stuck in a read() call which doesn't return with
    "no data".
  * Fix pyflakes failure on older Debian/Ubuntu releases.
  * Fix PEP-8 errors.

 -- Martin Pitt <mpitt@debian.org>  Thu, 26 Sep 2013 13:12:11 +0200

autopkgtest (2.3.5) unstable; urgency=low

  * Don't show source_rules_command() "set -x" trace unless running with -d.
  * Kill the tee child process if the testbed bombs out (e. g. due to a
    timeout), to avoid hanging eternally. Add test case for --timeout-test
    handling.
  * Add test case for --summary option.

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Sep 2013 08:51:21 +0200

autopkgtest (2.3.4) unstable; urgency=low

  * Add tests/testpkg/: Simple source package for testing autopkgtest.
  * Add tests/adt-run: Automatic regression tests for adt-run, covering/using
    the null runner.
  * Add debian/tests: autopkgtest for autopkgtest, using tests/adt-run.
  * Make topmost temporary directory group/world-readable and make $ADTTMP
    have appropriate 1777 permissions so that users other than root can
    actually use it. (Closes: #722458)
  * Don't clip first stderr line to 35 characters in summary. (Side issue in
    #722457)
  * Don't show shell tracing of script that creates the temporary directories.
  * Move unimportant messages to debug level 1, to not clutter up default
    output so much.
  * Drop unnecessary "trace: " from adt-run debug/progress lines.
  * Show stdout/err of the running tests in realtime, which is much nicer for
    watching. Don't split that realtime output, so that stderr messages appear
    in the right context. Show separate stderr if and only if the allow-stderr
    restriction is not set and there is stderr output. (Closes: #722457)
  * For tests with "build-needed", actually run the tests in the built
    directory, not in the original unbuilt tree. (Closes: #711209)
  * Fix various unknown and unused symbols throughout the source, spotted by
    pyflakes.
  * Add tests/pyflakes: Run pyflakes over source and test code.
  * Add tests/pep8: Run pep8 over source and test code.
  * Support empty "Depends:" test control field, installing no dependencies in
    that case.
  * README.package-tests: Point out that you can use upper-case test names as
    well. Update test_tree_tmp_dir() test to use these, to ensure it stays
    working. (Closes: #711844)
  * Some code cleanups:
    - Don't rename modules on import.
    - Format to be PEP-8 compliant.
    - Rename first argument of methods to "self", as that's the wide
      convention, gets rid of some single-letter variable names, and makes it
      a bit easier to see which variables refer to foreign objects.
  * Run tests/pep8 and tests/pyflakes during package build.

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 Sep 2013 14:44:13 +0200

autopkgtest (2.3.3) unstable; urgency=low

  * runner/adt-run: Drop "errors" keyword from decode() call to fix
    compatibility with earlier Python versions. Thanks Christoph Berg.
  * adt-run: Fail tests if they exit with nonzero if "allow-stderr"
    restriction is set. Thanks Robie Basak! (LP: #1210503)

 -- Martin Pitt <mpitt@debian.org>  Mon, 09 Sep 2013 15:49:52 -0400

autopkgtest (2.3.2) unstable; urgency=low

  * runner/adt-run: Fix "allow-stderr" restrictions to still report success,
    so that this gets into the summary.log.

 -- Martin Pitt <mpitt@debian.org>  Fri, 26 Jul 2013 12:41:07 +0200

autopkgtest (2.3.1) unstable; urgency=low

  * adt-run: Support older python-debian versions whose module was still
    called "debian_bundle". (Closes: #717191)
  * runner/adt-run: Correctly re-raise exception on some register failure
    errors. Thanks Robie Basak!
  * runner/adt-run: Short-circuit publishing if there are no registered built
    binaries. This is the step that takes by far the longest time for short
    tests, and thus speeds up test running significantly.
  * runner/adt-run: Set DEBIAN_FRONTEND=noninteractive for installing build or
    test dependencies, too. Thanks Robie Basak! (LP: #1204989)

 -- Martin Pitt <mpitt@debian.org>  Fri, 26 Jul 2013 08:02:35 +0200

autopkgtest (2.3) unstable; urgency=low

  * runner/adt-run.1: Fix bad "affect modify" wording. (LP: #1199500)
  * Drop hosts/chinstrap. We haven't actually used this in many years, it has
    been replaced with https://launchpad.net/auto-package-testing, Jenkins,
    and blocking migration to release until tests pass. (LP: #381210)
  * Promote apt-utils from Recommends to Depends:, to avoid test failures due
    to not finding apt-ftparchive. (LP: #1065874)
  * Promote pbuilder from Recommends: to Depends:, as we always call
    pbuilder-satisfydepends-classic. (LP: #1065874)
  * runner/adt-run: Stop explicitly checking for $HOME (with broken error
    message) when giving --gnupg-home, use os.path.expanduser() instead.
    (LP: #1065873)

