=== debian/control ===
Source: autopkgtest
Maintainer: Autopkgtest team <autopkgtest-devel@lists.alioth.debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 8),
 pyflakes,
 pep8
Vcs-Git: git://git.debian.org/git/autopkgtest/autopkgtest.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=autopkgtest/autopkgtest.git
XS-Testsuite: autopkgtest

Package: autopkgtest
Architecture: all
Depends: python (>= 2.6),
 debhelper,
 python-debian,
 apt-utils,
 pbuilder,
 ${misc:Depends}
Conflicts: autodebtest (<< 0.5.3)
Replaces: autodebtest (<< 0.5.3)
Suggests: autopkgtest-xenlvm, curl
Description: automatic as-installed testing for Debian packages
 autopkgtest runs tests on binary packages.  The tests are run on the
 package as installed on a testbed system (which may be found via a
 virtualisation or containment system).  The tests are expected to be
 supplied in the corresponding Debian source package.
 .
 See adt-run(1) and /usr/share/doc/autopkgtest.
 Most modes of use require apt-ftparchive from the apt-utils package.
 Use of adt-virt-xenlvm requires the autopkgtest-xenlvm package too;
 Use of the pre-cooked adt-testreport-onepackage script requires curl.

Package: autopkgtest-xenlvm
Architecture: all
Depends: libadns1-bin, chiark-utils-bin, iproute, dmsetup, ${misc:Depends}
Recommends: lvm2, debootstrap
Suggests: autopkgtest
Description: Xen/LVM2 based testbed snapshot system
 Machinery for setting up a Xen domain which can be resumed over and
 over again, discarding changes made each time.  This can be useful
 for automated testing and other advanced techniques; autopkgtest is
 able to make use of this machinery for its virtualisation needs.
 .
 You will need a working Xen setup to make use of this software.  Your
 network administrator will need to provide support for the testbeds'
 networking requirements.  See the README for documentation.
