=== debian/rules ===
#!/usr/bin/make -f
#
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

SHELL=/bin/bash

p=autopkgtest
x=xenlvm
topdir=`pwd`

build build-indep:
	$(MAKE)
	tests/pyflakes
	tests/pep8

build-arch:
binary-arch:

binary binary-indep: checkdir
	dh_testroot
	dh_clean
	dh_installdirs usr

	$(MAKE) install-here prefix=debian/$p/usr
	$(MAKE) -C xen install \
		pkgname=$p-$x \
		prefix=$(topdir)/debian/$p-$x/usr \
		sharedir_lnfrom=/usr/share/$p/$x \
		sharedir=$(topdir)/debian/$p-$x/usr/share/$p/$x \
		etcdir=$(topdir)/debian/$p-$x/etc cfg_suffix=''
	cd debian/$p-$x/etc/userv/services.d && \
		mv -f adt-xenlvm-testbed:dist adt-xenlvm-testbed

	set -e;								\
	  d=debian/autopkgtest/usr/share/doc/autopkgtest/examples/;	\
	  mkdir -p -m755 $$d;						\
	  cp --preserve=timestamps -dR hosts $$d;			\
	  find $$d -name '*~' -o -name '#*#' -exec rm -- '{}' ';';	\
	  for f in $$d/hosts/*; do					\
	    cp debian/host-example-WARNING $$f/WARNING;			\
	    cf=$$f/cfg;							\
	    if test -f $$cf; then					\
	      sed -e 's/^/# /' debian/host-example-WARNING >$$cf.new;	\
	      echo >>$$cf.new;  cat $$cf >>$$cf.new;			\
	      mv -f $$cf.new $$cf;					\
	    fi;								\
	  done

	dh_installinit -p $p-$x --onlyscripts --name=adt$x -- defaults 19
	dh_installchangelogs
	dh_installdocs
	dh_compress
	dh_link
	dh_md5sums
	dh_gencontrol
	dh_fixperms
	dh_installdeb
	dh_builddeb

clean: checkdir
	dh_testroot
	$(MAKE) clean
	rm -rf runner/tmp
	dh_clean

checkdir:
	dh_testdir runner/adt-run
