## autopkgtest 2.6~pgdg10.4+1

=== debian/changelog ===
autopkgtest (2.6~pgdg10.4+1) lucid-pgdg; urgency=low

  * Rebuild for lucid-pgdg (jenkins-autopkgtest-source-
    distribution=lucid-12, apt-get revision sid)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sun, 26 Jan 2014 17:12:31 +0100

autopkgtest (2.6) unstable; urgency=medium

  New features:
  * Add --apt-source option as an alternative for --source, implied if
    argument is a valid package name. It calls "apt-get source" in the testbed
    instead of using a .dsc from the host, which for the common case of
    testing packages in the acual archive avoids having to manually download
    the source and then copying it into the testbed. This simplifies the
    command line for running tests for a package in the archive to
    "adt-run mypkgname --- adt-virt-[...]".
  * Add --setup-commands option to run things like "apt-get update" or adding
    apt sources after opening the testbed.

  Bug fixes:
  * adt-virt-lxc: Stop assuming that containers live in /var/lib/lxc/; ask
    lxc-config about the root path instead.
  * Only reset the test bed after the build stage if builds actually happened.
  * Reset the test bed after running a test group, to avoid an unnecessary
    setup if there is just one test.
  * Don't put an empty "binaries" directory into the output directory.

  New test cases:
  * --timeout handling.

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Jan 2014 17:19:11 +0100

autopkgtest (2.5.6) unstable; urgency=medium

  * Adjust "su" calls to explicitly specify /bin/sh as shell, as recent
    base-passwd disables them now for system users. (Closes: #734740)

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Jan 2014 15:21:44 +0100

autopkgtest (2.5.5) unstable; urgency=medium

  * Test that the schroot runner installs packages with --user, and that it
    runs the tests as root with --user if the test has a "needs-root"
    restriction. (Related to #728304)
  * adt-virt-schroot: Add suggested-normal-user capability to the calling user
    (unless that's root), so that tests are run as user by default.
    (Closes: #728304)
  * Add support for virtual "@builddeps@" test dependency, which will be
    replaced with the package's B-D and B-D-I. Document in
    doc/README.package-tests. (Closes: #720458)

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Dec 2013 21:12:38 +0100

autopkgtest (2.5.4) unstable; urgency=medium

  * Only clean up binary if we built them ourselves. adt-run previously
    removed debs specified with --binary.

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Dec 2013 16:18:03 +0100

autopkgtest (2.5.3) unstable; urgency=low

  * Drop hosts/ and {onepackage,ubuntu}-config example files; these scripts
    haven't been used nor maintained in years, and we won't need them anytime
    soon. Ubuntu does, and Debian plans to drive autopkgtest from britney
    and/or Jenkins, not from cron.
  * Move adt-testreport-* scripts and manpages into autopkgtest-xenlvm
    package, as they require the xen runner.
  * tests/run-parallel: Immediately stop on pep8/pyflakes errors.
  * Adjust SchrootRunner.test_tree_built_binaries test to also work with
    current apt.
  * Always write UTF-8 to stdout and summary stream, to avoid
    UnicodeEncodeError crash when running in a C locale. (LP: #1259529)
  * tests/pyflakes: Always use pyflakes, not pyflakes3, as the latter doesn't
    get along with non-ASCII strings when running under a non-UTF-8 locale (as
    in sbuild).

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Dec 2013 08:45:07 +0100

autopkgtest (2.5.2) unstable; urgency=low

  * virt-subproc/adt-virt-lxc: Fix PEP-8 error.
  * Explicitly kill the logging tee processes, for backwards compatibility
    with Python 2.6.
  * Avoid assertNotRegex() in test suite as it isn't yet available in Python
    3.1.
  * Skip dependency version check instead of crashing if python-debian does
    not provide NativeVersion() (for wheezy/lucid).
  * Fix some minor PEP-8 errors.

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Nov 2013 18:07:09 +0100

autopkgtest (2.5.1) unstable; urgency=low

  * adt-virt-lxc: Drop some dead code.
  * Fix ownership of test tree with --user option.

 -- Martin Pitt <mpitt@debian.org>  Tue, 26 Nov 2013 10:43:30 +0100

autopkgtest (2.5) unstable; urgency=low

  Behaviour changes:
  * Drop --output-dir option. It has never really been useful as it only works
    for paths in the testbed, has a confusing semantics, is redundant with
    --tmp-dir, and currently even crashes adt-run. (Closes: #729790)
  * Rename --tmp-dir option to --output-dir, as its main purpose is really to
    collect test artifacts. Keep --tmp-dir alias for backwards compatibility.
  * Drop --override-control option. It complicates the code too much for its
    very limited utility, and it was not even documented in the manpage.
  * Drop --paths-testbed (and thus also --paths-host) options. There is no
    use case for them.
  * Add short options for common command line options: -B for
    --no-built-binaries, -o for --output-dir, -l for --log-file,
    -u for --user.
  * Clean up uninteresting files from --output-dir directory.
  * Tests which want to create additional artifacts can now put them into the
    $ADT_ARTIFACTS directory. When using the --output-dir option, they will be
    copied into <outputdir>/artifacts/. Document this new feature in
    README.package-tests. (LP: #1137763)

  Packaging changes:
  * Drop obsolete autodebtest Conflicts/Replaces.
  * Update copyright years.
  * Bump Standards-Version to 3.9.5. No changes necessary.
  * CREDITS: Add myself.
  * Makefile: Support $DESTDIR, like automake.
  * Adjust sharedir* defaults in settings.make to what we actually want, and
    drop their overrides in debian/rules
  * Move debian/rules to using dh.
  * Add ./run-from-checkout script to run adt-run from the git checkout or
    source package. Change tests/adt-run to use it.
  * Add tests/run-parallel to run tests for different runners in parallel.

  Bug fixes:

