=== debian/changelog ===
autopkgtest (2.6~pgdg12.4+1) precise-pgdg; urgency=low

  * Rebuild for precise-pgdg (jenkins-autopkgtest-source-
    distribution=precise-12, apt-get revision sid)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sun, 26 Jan 2014 17:12:34 +0100
