=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>, Martin Pitt <mpitt@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 8),
  pyflakes,
  pep8
@@ -19,9 +19,7 @@
  apt-utils,
  pbuilder,
  ${misc:Depends}
-Conflicts: autodebtest (<< 0.5.3)
-Replaces: autodebtest (<< 0.5.3)
-Suggests: autopkgtest-xenlvm, curl
+Suggests: autopkgtest-xenlvm
 Description: automatic as-installed testing for Debian packages
  autopkgtest runs tests on binary packages.  The tests are run on the
  package as installed on a testbed system (which may be found via a
@@ -31,13 +29,14 @@
  See adt-run(1) and /usr/share/doc/autopkgtest.
  Most modes of use require apt-ftparchive from the apt-utils package.
  Use of adt-virt-xenlvm requires the autopkgtest-xenlvm package too;
- Use of the pre-cooked adt-testreport-onepackage script requires curl.
 
 Package: autopkgtest-xenlvm
 Architecture: all
 Depends: libadns1-bin, chiark-utils-bin, iproute, dmsetup, ${misc:Depends}
-Recommends: lvm2, debootstrap
+Recommends: lvm2, debootstrap, curl
 Suggests: autopkgtest
+Replaces: autopkgtest (<< 2.5.3~)
+Breaks: autopkgtest (<< 2.5.3~)
 Description: Xen/LVM2 based testbed snapshot system
  Machinery for setting up a Xen domain which can be resumed over and
  over again, discarding changes made each time.  This can be useful
@@ -47,3 +46,5 @@
  You will need a working Xen setup to make use of this software.  Your
  network administrator will need to provide support for the testbeds'
  networking requirements.  See the README for documentation.
+ .
+ Use of the pre-cooked adt-testreport-onepackage script requires curl.
