=== debian/rules ===
#!/usr/bin/make -f
#
# This file is part of autopkgtest
# autopkgtest is a tool for testing Debian binary packages
#
# autopkgtest is Copyright (C) 2006 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# See the file CREDITS for a full list of credits information (often
# installed as /usr/share/doc/autopkgtest/CREDITS).

%:
	dh "$@"

override_dh_auto_install:
	$(MAKE) install-here DESTDIR=$(CURDIR)/debian/autopkgtest prefix=/usr
	$(MAKE) -C xen install \
		DESTDIR=$(CURDIR)/debian/autopkgtest-xenlvm \
		prefix=/usr \
		pkgname=autopkgtest-xenlvm \
		cfg_suffix=''

	cd debian/autopkgtest-xenlvm/etc/userv/services.d && \
		mv -f adt-xenlvm-testbed:dist adt-xenlvm-testbed

override_dh_installinit:
	dh_installinit -p autopkgtest-xenlvm --onlyscripts --name=adtxenlvm -- defaults 19

override_dh_auto_test:
	tests/pyflakes
	tests/pep8

# necessary until we move to compat level 9
override_dh_pysupport:
	true
