## autopkgtest 2.6~pgdg14.04+1

=== debian/changelog ===
autopkgtest (2.6~pgdg14.04+1) trusty-pgdg; urgency=low

  * Rebuild for trusty-pgdg (jenkins-autopkgtest-source-
    distribution=trusty-12, apt-get revision sid)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Sun, 26 Jan 2014 17:12:37 +0100
