## autopkgtest 2.14.1

=== Makefile ===
--- 
+++ 
@@ -27,10 +27,12 @@
 		virt-subproc/adt-virt-null \
 		virt-subproc/adt-virt-schroot \
 		virt-subproc/adt-virt-lxc \
+		virt-subproc/adt-virt-qemu \
+		tools/adt-buildvm-ubuntu-cloud \
+		tools/adt-build-lxc \
 		runner/adt-run
 
-pythonfiles =	lib/Autopkgtest.py \
-		lib/VirtSubproc.py
+pythonfiles =	lib/VirtSubproc.py
 
 all:
 	cd xen && $(MAKE)
@@ -42,6 +44,7 @@
 		$(INSTALL_PROGRAM) $$f $(bindir); \
 		test ! -f $$f.1 || $(INSTALL_DOC) $$f.1 $(man1dir); \
 		done
+	$(INSTALL_PROGRAM) tools/adt-setup-vm $(share)/$(pkgname)
 	$(INSTALL_DATA) $(pythonfiles) $(pythondir)
 	$(INSTALL_DOC) CREDITS debian/changelog $(docdir)
 	$(INSTALL_DOC) doc/README*[!~] $(docdir)
