=== debian/changelog ===
autopkgtest (2.14.1) unstable; urgency=medium

  * tools/adt-buildvm-ubuntu-cloud: Enable ssh login with passwords.

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Apr 2014 17:15:29 +0200

autopkgtest (2.14) unstable; urgency=medium

  * lxc: Greatly simplify bind mounting of shared tmp dir using the
    lxc-start -s option.
  * adt-virt-qemu: Forward VM's ssh port 22 to the first free localhost port
    starting from 10022. When finding one, suggest connecting to the VM with
    an appropriate ssh command on --shell.

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Apr 2014 17:06:44 +0200

autopkgtest (2.13.1) unstable; urgency=medium

  * Fix "--build-tree" typo in error message, and also add the missing
    --unbuilt-tree. (Closes: #743427)
  * lxc: Enable live output in clone mode.

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Apr 2014 12:18:00 +0200

autopkgtest (2.13) unstable; urgency=medium

  * Split package/version list that got introduced in 2.10: Introduce a new
    output file "testbed-packages" with the packages and versions of the
    pristine testbed, and filter them out of "<testname>-packages", so that
    the latter only contains the packages and versions that are specific to
    that test. This is generally more useful, and how debci does/wants it.

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Apr 2014 14:43:12 +0100

autopkgtest (2.12) unstable; urgency=medium

  [ Martin Pitt ]
  New features:
  * Add new options -s/--shell-fail for running a shell in the testbed after
    every failed test, and --shell for running a shell in the testbed after
    every test. This should make debugging tests or regressions quite a bit
    simpler. This actually spawns a shell for the null, chroot, schroot, and
    lxc runners, and shows how to login to the VM for qemu (this will
    hopefully be improved in the future, but at least makes debugging possible
    for now).

  Bug fixes:
  * adt-build-lxc: Fix apt proxy setting for ubuntu template; use $HTTP_PROXY,
    not $APT_PROXY.
  * Make PEP-8 failures non-fatal during package build. They often fail in
    backports to old releases, and running them before releasing a new package
    is sufficient.
  * Filter out comment lines from control lines, as python-debian doesn't
    properly do that (Debian #743174). Fixes lintian autopkgtest.
    (LP: #1300031)

  [ Antonio Terceiro ]
  * adt-virt-schroot: Add new option -s/--session-id for specifying a custom
    schroot session id. This is useful for debugging test suites that go crazy
    on ci.debian.net, so you can `schroot --list --all-sessions` and see which
    sessions are still open. (Closes: #742969)

 -- Martin Pitt <mpitt@debian.org>  Mon, 31 Mar 2014 11:45:13 +0200

autopkgtest (2.11) unstable; urgency=medium

  * Add tools/adt-setup-vm: Setup script for vmdebootstrap (and potentially
    others) to start a root shell on tty1, set up networking for eth0, and
    enable deb-src apt sources.
  * adt-virt-qemu.1: Describe how to create a suitable Debian VM with
    vmdebootstrap.
  * doc/README.package-tests: Point out to use "build-needed" with
    consideration.
  * Make installation of packages/dependencies print a warning instead of
    failing immediately when root is not available on the testbed. This allows
    tests to be run with the "null" runner locally as user with some
    restrictions. Check if dpkg-source is available before installing
    dpkg-dev, to avoid the warning in that simple case. (Closes: #742242)
  * Fix ugly error message if a package does not have a debian/tests/
    directory. Properly fail with code 8 and "SKIP no tests in this package".
  * Clean up temporary files in NullRunner tests.

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Mar 2014 09:36:25 +0100

autopkgtest (2.10) unstable; urgency=medium

  * Record name and version of tested package in log and in
    output-dir/testpkg-version. (first part of LP #1292431)
  * Record installed packages and their versions for each test, in
    <output-dir>/<test>-packages. (second half of LP: #1292431)
  * Drop adt-testreport-*, adt-openbugs-*: These have been marked deprecated
    for a while, haven't been used or maintained in many years, and are
    superseded by jenkins/debci. (Closes: #695974)

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Mar 2014 16:12:24 +0100

autopkgtest (2.9.2) unstable; urgency=medium

  * VirtSubproc.py, copydown_shareddir(): Fix "src and dest are the same file"
    error when file is already in the shared downtmp.
  * VirtSubproc.py, copydown_shareddir(): Remove already existing target
    directory to avoid copying an updated directory into the old one.
  * adt-run: Show timestamps at the beginning, start of preparation (i. e.
    mostly installing dependencies), and start and end of tests.
    (LP: #1290760)
  * Run NullRunnerNoRoot tests during package build. Add python-debian build
    dependency for that.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Mar 2014 08:13:50 +0100

autopkgtest (2.9.1) unstable; urgency=medium

  [ Martin Pitt ]
  * doc/README.package-tests: Clarify syntax of test Depends:, and point to
    the relevant Debian Policy specification.
  * adt-build-lxc: Fall back to assuming /var/lib/lxc/ as container directory
    if lxc-config does not exist. It was introduced in 1.0, but Debian
    unstable still has 0.9. (Closes: #740437)
  * tests: Extend test_artifacts() to multiple tests writing artifacts, also
    with overwriting existing files and writing into subdirs.
  * VirtSubproc: Fix copyup_shareddir() to get along with existing
    directories. (LP: #1288668)
  * settings.make: Switch default prefix to /usr, as our scripts hardcode that
    for finding VirtSubproc.py and this is a native package. (LP: #1287264)

  [ Steve Langasek ]
  * Fix adt-virt-schroot to correctly return root-on-testbed when we're
    running adt-run as root. (Closes: #740868)

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Mar 2014 13:44:07 +0100


