=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 8),
+ python-debian,
  pyflakes,
  pep8
 Vcs-Git: git://git.debian.org/git/autopkgtest/autopkgtest.git
@@ -19,7 +20,7 @@
  apt-utils,
  pbuilder,
  ${misc:Depends}
-Suggests: autopkgtest-xenlvm
+Suggests: autopkgtest-xenlvm, schroot, lxc, qemu-system, qemu-utils
 Description: automatic as-installed testing for Debian packages
  autopkgtest runs tests on binary packages.  The tests are run on the
  package as installed on a testbed system (which may be found via a
@@ -27,17 +28,18 @@
  supplied in the corresponding Debian source package.
  .
  See adt-run(1) and /usr/share/doc/autopkgtest.
- Most modes of use require apt-ftparchive from the apt-utils package.
- Use of adt-virt-xenlvm requires the autopkgtest-xenlvm package too;
+ Depending on which virtualization server you want to use, you need to
+ install additional packages (schroot, lxc, qemu-system, or
+ autopkgtest-xenlvm).
 
 Package: autopkgtest-xenlvm
 Architecture: all
 Depends: libadns1-bin, chiark-utils-bin, iproute, dmsetup, ${misc:Depends}
-Recommends: lvm2, debootstrap, curl
+Recommends: lvm2, debootstrap
 Suggests: autopkgtest
 Replaces: autopkgtest (<< 2.5.3~)
 Breaks: autopkgtest (<< 2.5.3~)
-Description: Xen/LVM2 based testbed snapshot system
+Description: autopkgtest Xen/LVM2 based testbed snapshot system
  Machinery for setting up a Xen domain which can be resumed over and
  over again, discarding changes made each time.  This can be useful
  for automated testing and other advanced techniques; autopkgtest is
@@ -46,5 +48,3 @@
  You will need a working Xen setup to make use of this software.  Your
  network administrator will need to provide support for the testbeds'
  networking requirements.  See the README for documentation.
- .
- Use of the pre-cooked adt-testreport-onepackage script requires curl.
