=== debian/rules ===
--- 
+++ 
@@ -22,26 +22,31 @@
 # See the file CREDITS for a full list of credits information (often
 # installed as /usr/share/doc/autopkgtest/CREDITS).
 
+VERSION=$(shell dpkg-parsechangelog  | sed -n '/^Version:/ {s/^.*: //; p}')
+
 %:
 	dh "$@"
 
 override_dh_auto_install:
-	$(MAKE) install-here DESTDIR=$(CURDIR)/debian/autopkgtest prefix=/usr
+	$(MAKE) install-here DESTDIR=$(CURDIR)/debian/autopkgtest
 	$(MAKE) -C xen install \
 		DESTDIR=$(CURDIR)/debian/autopkgtest-xenlvm \
-		prefix=/usr \
 		pkgname=autopkgtest-xenlvm \
 		cfg_suffix=''
 
 	cd debian/autopkgtest-xenlvm/etc/userv/services.d && \
 		mv -f adt-xenlvm-testbed:dist adt-xenlvm-testbed
 
+	# put our package version into adt-run for logging
+	sed -i 's/@devel@/$(VERSION)/' debian/autopkgtest/usr/bin/adt-run
+
 override_dh_installinit:
 	dh_installinit -p autopkgtest-xenlvm --onlyscripts --name=adtxenlvm -- defaults 19
 
 override_dh_auto_test:
 	tests/pyflakes
-	tests/pep8
+	tests/pep8 || true
+	tests/adt-run NullRunnerNoRoot
 
 # necessary until we move to compat level 9
 override_dh_pysupport:
