=== tests/testpkg/debian/control ===
--- 
+++ 
@@ -8,5 +8,6 @@
 Package: testpkg
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: cpp-doc
 Description: test package
  Test package, do not install.
