## autopkgtest 3.6git1

=== debian/changelog ===
autopkgtest (3.6git1) utopic; urgency=medium

  Cherry-pick from upstream git:
  * adt-virt-ssh: Rewrite adt-ssh-wrapper to not call the readlink command on
    every single /proc/*/fd/*. This is too slow on devices like Ubuntu Touch,
    where it adds an extra ~ 5 seconds to every command.
  * ssh-setup/adb: Drop --rw and --apt-update options. They stopped working
    when adb switched to running as user, and can be done with
    --setup-commands.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Oct 2014 10:48:35 -0400
